import { ElementRef, EventEmitter, OnInit } from '@angular/core';
import { Highlightable } from '@angular/cdk/a11y';
import * as i0 from "@angular/core";
export declare class SelectOptionComponent implements OnInit, Highlightable {
    private element;
    label: string;
    disabled: boolean;
    multiple: boolean;
    selected: boolean;
    selectedChange: EventEmitter<boolean>;
    readonly role = "option";
    active: boolean;
    constructor(element: ElementRef<HTMLElement>);
    ngOnInit(): void;
    adjustScroll(): void;
    setActiveStyles(): void;
    setInactiveStyles(): void;
    get tabindex(): number;
    onEnter(event: KeyboardEvent): void;
    select(value?: boolean): void;
    getLabel(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<SelectOptionComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SelectOptionComponent, "ui-select-option", never, { "label": "label"; "disabled": "disabled"; "multiple": "multiple"; "selected": "selected"; }, { "selectedChange": "selectedChange"; }, never, ["*"], false>;
}
